/*
Theme Name: Ollie Child
Theme URI: https://olliewp.com
Description: Empty child theme for the Ollie theme.
Author: Elin Lindkvist
Template: ollie
Version: 1.0.2
Text Domain: ollie-child
*/

:root {
	--yellow-200: #FDF5D1;
}

.simcal-calendar.simcal-default-calendar.simcal-default-calendar-grid:not(:where(.home *)) {
	display: none;
    max-width: var(--wp--style--global--wide-size);
	@media (min-width: 768px) {
		display: block;
	}
}

.simcal-calendar.simcal-default-calendar.simcal-default-calendar-list:not(:where(.home *)) {
	@media (min-width: 768px) {
		display: none;
	}
}

.simcal-default-calendar-grid .simcal-events {
	font-size: 1rem;
	overflow-wrap: break-word;
}

.simcal-default-calendar .simcal-tooltip-content {
	font-size: 1rem;
}

.simcal-default-calendar-list dt.simcal-day-label {
	font-size: inherit;
}

.simcal-default-calendar-list .simcal-event-details {
	font-size: inherit;
}

/* Kalendern på startsidan */


.home .simcal-events-list-container {
	display: flex;
	flex-wrap: wrap;
	gap: var(--wp--preset--spacing--medium);
}

.simcal-events-list-container > .simcal-day {
	flex: 0 0 100%;
	@media (min-width: 40rem) {
		flex: 0 0 calc(50% - (var(--wp--preset--spacing--medium) / 2));
	}
	padding: var(--wp--preset--spacing--medium);
	background-color: var(--yellow-200);
	border-radius: var(--wp--preset--border-radius--sm);

	> ul {
		margin: 0;
		padding: 0;
		font-size: 1rem;

		li:last-of-type {
			margin: 0;
		}

		.simcal-event-start-date {
			display: block;
			font-size: 1.25rem;
		}

		> .simcal-event:not(:first-child) .simcal-event-details > p:first-child {
			display: none;
		}

		.simcal-event-details > p:nth-child(2) {
			margin: 0;
		}
		li:last-of-type .simcal-event-details > p:last-child {
			margin: 0;
		}
	}
}
